#include ONCE "window9.bi"

sub SetTrackBarMaxPos(iGadget as Long , iMaxPos as Long , iFlag as Long = 0) export
	
	dim as ListT ptr pListTemp
	
	dim as Long iMin
	
	pListTemp = cast(ListT ptr,pGlobalTypeWindow9->ListRangeForSliders->findNodeFunc(iGadget))
	
	iMin = pListTemp->anyTwoData
	
	gtk_range_set_range(cast(any ptr,GadgetId(IGadget) ), iMin , iMaxPos)	
	
	pListTemp->anyThreeData = iMaxPos	

End Sub